import Vue from 'vue'
import App from './App'
import TuniaoUI from 'tuniao-ui'
Vue.use(TuniaoUI)
import uView from "tuniao-ui/uview-ui";
Vue.use(uView);
// 引入vuex
import store from './static/index.js'
// 把vuex定义成全局组件
Vue.prototype.$store = store

//接口和网络
import API from './utils/api.js'
import Net from './utils/net.js'
Vue.prototype.$API = API
Vue.prototype.$Net = Net
// import cuCustom from './colorui/components/cu-custom.vue'
// Vue.component('cu-custom',cuCustom)
//页面类型
import find from './pages/tabPage/find.vue'
Vue.component('find',find)
import home from './pages/tabPage/home.vue'
Vue.component('home',home)
import msg from './pages/tabPage/msg.vue'
Vue.component('msg',msg)
import user from './pages/tabPage/user.vue'
Vue.component('user',user)
import allSection from './pages/tabPage/allSection.vue'
Vue.component('allSection',allSection)
//下面是列表和模块组件
import forumIndex from './pages/components/forumIndex.vue'
Vue.component('forumIndex',forumIndex)

import metas from './pages/components/metas.vue'
Vue.component('metas',metas)

import articleItemA from './pages/components/articleItemA.vue'
Vue.component('articleItemA',articleItemA)

import articleItemB from './pages/components/articleItemB.vue'
Vue.component('articleItemB',articleItemB)

import articleItemWfA from './pages/components/articleItemWfA.vue'
Vue.component('articleItemWfA',articleItemWfA)

import articleItemWfB from './pages/components/articleItemWfB.vue'
Vue.component('articleItemWfB',articleItemWfB)

import commentItem from './pages/components/commentItem.vue'
Vue.component('commentItem',commentItem)

import postCommentItem from './pages/components/postCommentItem.vue'
Vue.component('postCommentItem',postCommentItem)

import spaceItem from './pages/components/spaceItem.vue'
Vue.component('spaceItem',spaceItem)

import forumItem from './pages/components/forumItem.vue'
Vue.component('forumItem',forumItem)

import shopItem from './pages/components/shopItem.vue'
Vue.component('shopItem',shopItem)

import Share from './pages/components/Share.vue'
Vue.component('Share',Share)

import avatarItem from './pages/components/avatarItem.vue'
Vue.component('avatarItem',avatarItem)


Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	store,
    ...App
})
app.$mount()

 



